summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author khronosschoty <khronosschoty@poste.org>2017-08-25 22:42:51 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-08-26 07:20:05 +0700
commite791329df1a0435777ff87b4da3f7365480afb04 (patch)
treec7c1d0ff1aa8a894d559589be23a6c1855c022b9
parentcffb74f383c45f12d189ce20a5aca1c5b5308a55 (diff)
downloadslackbuilds-e791329df1a0435777ff87b4da3f7365480afb04.tar.gz
slackbuilds-e791329df1a0435777ff87b4da3f7365480afb04.tar.xz
games/OpenRA: Added (modernized recreation of the classic RTS C&C).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/OpenRA/OpenRA.SlackBuild98
-rw-r--r--games/OpenRA/OpenRA.info14
-rw-r--r--games/OpenRA/README7
-rw-r--r--games/OpenRA/fetch-thirdparty-deps.sh.new18
-rw-r--r--games/OpenRA/slack-desc19
5 files changed, 156 insertions, 0 deletions
diff --git a/games/OpenRA/OpenRA.SlackBuild b/games/OpenRA/OpenRA.SlackBuild
new file mode 100644
index 0000000000..f143513f90
--- /dev/null
+++ b/games/OpenRA/OpenRA.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for OpenRA
+
+# Copyright 2017 Vasily Sora USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=OpenRA
+VERSION=${VERSION:-20170527}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-release-$VERSION
+tar xvf $CWD/$PRGNAM-release-$VERSION.tar.gz
+cd $PRGNAM-release-$VERSION
+cp $CWD/fetch-thirdparty-deps.sh.new thirdparty/fetch-thirdparty-deps.sh
+cp $CWD/download.tar.gz thirdparty
+mkdir thirdparty/download/
+cp $CWD/GeoLite2-Country.mmdb.gz thirdparty/download/
+rm thirdparty/fetch-geoip-db.sh
+touch thirdparty/fetch-geoip-db.sh
+echo "#!/bin/sh" >> thirdparty/fetch-geoip-db.sh
+echo 'echo "success"' >> thirdparty/fetch-geoip-db.sh
+chmod +x thirdparty/fetch-geoip-db.sh
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make dependencies
+make all
+make prefix=/usr mandir=/usr/man bindir=/usr/games libdir=/usr/lib${LIBDIRSUFFIX} install-all DESTDIR=$PKG
+make prefix=/usr mandir=/usr/man bindir=/usr/games libdir=/usr/lib${LIBDIRSUFFIX} install-linux-shortcuts DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+cd $PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/OpenRA/OpenRA.info b/games/OpenRA/OpenRA.info
new file mode 100644
index 0000000000..b7d77850c0
--- /dev/null
+++ b/games/OpenRA/OpenRA.info
@@ -0,0 +1,14 @@
+PRGNAM="OpenRA"
+VERSION="20170527"
+HOMEPAGE="http://www.openra.net/"
+DOWNLOAD="https://github.com/OpenRA/OpenRA/archive/release-20170527/OpenRA-release-20170527.tar.gz \
+ http://repo.khronosschoty.org/Slackware/stuff/OpenRA/download.tar.gz \
+ http://geolite.maxmind.com/download/geoip/database/GeoLite2-Country.mmdb.gz"
+MD5SUM="77178cd46feb757aa7738da84babdbc8 \
+ 6a4f37c2ec01e534408b4f38d8855024 \
+ a9a2b2e8377916a6bd8ef117fd1212a4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="lua SDL2 mono"
+MAINTAINER="khronosschoty"
+EMAIL="khronosschoty@poste.org"
diff --git a/games/OpenRA/README b/games/OpenRA/README
new file mode 100644
index 0000000000..845497602b
--- /dev/null
+++ b/games/OpenRA/README
@@ -0,0 +1,7 @@
+OpenRA is a modernized recreation of the classic RTS Command & Conquer
+
+OpenRA is a project that recreates and modernizes the classic
+Command & Conquer real time strategy games. A flexible open source
+game engine (the OpenRA engine), has been developed, which provides a
+common platform for rebuilding and reimagining classic 2D and 2.5D RTS
+games (the OpenRA mods).
diff --git a/games/OpenRA/fetch-thirdparty-deps.sh.new b/games/OpenRA/fetch-thirdparty-deps.sh.new
new file mode 100644
index 0000000000..c0f9ae9b5d
--- /dev/null
+++ b/games/OpenRA/fetch-thirdparty-deps.sh.new
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+####
+# This file must stay /bin/sh and POSIX compliant for BSD portability.
+# Copy-paste the entire script into http://shellcheck.net to check.
+####
+
+# Die on any error for Travis CI to automatically retry:
+set -e
+
+download_dir="${0%/*}/download"
+
+mkdir -p "${download_dir}"
+cd "${download_dir}"
+cd ..
+
+tar -xvf download.tar.gz
+
diff --git a/games/OpenRA/slack-desc b/games/OpenRA/slack-desc
new file mode 100644
index 0000000000..e8dfde12e0
--- /dev/null
+++ b/games/OpenRA/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+OpenRA: OpenRA (modernized recreation of the classic RTS C&C)
+OpenRA:
+OpenRA: OpenRA is a project that recreates and modernizes the classic
+OpenRA: Command & Conquer real time strategy games. A flexible open source
+OpenRA: game engine (the OpenRA engine), has been developed, which provides a
+OpenRA: common platform for rebuilding and reimagining classic 2D and 2.5D RTS
+OpenRA: games (the OpenRA mods).
+OpenRA:
+OpenRA:
+OpenRA: http://www.openra.net/
+OpenRA: